Fetch all users

  • GET /users
Auth

Fetches all available users.

Query parameters

include_disabled boolean · default: false

True if disabled users should be included in the response

Response

Users successfully fetched

application/json
users object[] required

A list of users

user_name string required

The user's identifier

security object required

A user's security information

roles string[]

The set of roles assigned to a user

permissions string[]

The distinct set of permissions allowed by the user's roles. These correspond to operationId values in the OpenAPI definition.

elevated_permissions object

A user's elevated permissions status

enabled boolean required

True if the user has elevated permissions

expires_at string · format: date-time

The time at which the user's elevated permissions expire

password string

The user's password. Only used when modifying a user.

enabled boolean

True if the user is enabled

security_realm object

The security realm the user belongs to

type enum required

The type of the security realm

Values: native ldap saml active_directory
id string required

The identifier for the security realm

metadata object

Metadata for a user

created_by string

The Id of the user that created this user

created_at string · format: date-time

The date and time when the user was created

updated_by string

The Id of the user that last updated this user

updated_at string · format: date-time

The date and time when the user was last updated

first_login_at string · format: date-time

The date and time when the user first logged in

last_login_at string · format: date-time

The date and time when the user last logged in

full_name string

The user's optional full name

email string

The user's optional email address

builtin boolean

True if the user is a built-in read-only user